Skip to content

Replace Report Configuration.

PUT
/api/report/namespaces/{metadata.namespace}/report_configs/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/report/namespaces/example/report_configs/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "report_recipients": { "user_groups": [ { "name": "example", "namespace": "example" } ] }, "waap": { "current_namespace": {}, "daily": { "report_generation_time": "example" }, "monthly": { "date": "DATE_NONE", "report_generation_time": "example" }, "namespaces": { "namespaces": [ "example" ] }, "weekly": { "day": "WEEKDAY_NONE", "report_generation_time": "example" } } } }'

Update the configuration by replacing the existing spec with the provided one. For read-then-write operations a resourceVersion mismatch will occur if the object was modified between the read and write.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a report_config

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
report_recipients
object
user_groups
user groups

Select one or more user groups, to which the report should be sent via email.

Array<object>
<= 5 items
ObjectRefType

This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.

object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
waap
object
current_namespace
object
daily
object
report_generation_time
report generation time

Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.

string
<= 1024 characters
monthly
object
date
string
default: DATE_NONE
Allowed values: DATE_NONE DATE_ONE DATE_TWO DATE_THREE DATE_FOUR DATE_FIVE DATE_SIX DATE_SEVEN DATE_EIGHT DATE_NINE DATE_TEN DATE_ELEVEN DATE_TWELVE DATE_THIRTEEN DATE_FOURTEEN DATE_FIFTEEN DATE_SIXTEEN DATE_SEVENTEEN DATE_EIGHTEEN DATE_NINETEEN DATE_TWENTY DATE_TWENTYONE DATE_TWENTYTWO DATE_TWENTYTHREE DATE_TWENTYFOUR DATE_TWENTYFIVE DATE_TWENTYSIX DATE_TWENTYSEVEN DATE_TWENTYEIGHT DATE_LAST
report_generation_time
time report is generated

Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.

string
<= 1024 characters
namespaces
object
namespaces
list of namespaces

List of namespaces for which user wants to generate report Required: YES.

Array<string>
<= 5 items
weekly
object
day
string
default: WEEKDAY_NONE
Allowed values: WEEKDAY_NONE WEEKDAY_MONDAY WEEKDAY_TUESDAY WEEKDAY_WEDNESDAY WEEKDAY_THURSDAY WEEKDAY_FRIDAY WEEKDAY_SATURDAY WEEKDAY_SUNDAY
report_generation_time
report generation time

Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example